<ion-header>
    <ion-toolbar>
      <ion-title>Meus chamados</ion-title>
    </ion-toolbar>
  </ion-header>
  
  <ion-content>
      <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
          <ion-refresher-content
                  refreshingText="Carregando...">
          </ion-refresher-content>
      </ion-refresher>
    <ion-list *ngIf="!chamados.length">
      <ion-item *ngFor="let item of [0, 1, 2, 3, 4, 5]">
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          </h3>
          <p>
            <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
    </ion-list>
  
    <ion-list>
      <ion-card (click)="responder(chamado.id)" *ngFor="let chamado of chamados">
          <ion-card-header>
            <ion-grid>
              <ion-row>
                <ion-col size="10">
                    <ion-card-title>{{ chamado.name }}</ion-card-title>
                </ion-col>
                <ion-col size="2" text-rigth>
                    <span>{{ chamado.id }}</span>
                </ion-col>
                <ion-col size="12">
                    <ion-card-subtitle>{{ myProfile.name }}</ion-card-subtitle>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-header>
      
          <ion-card-content>
              <ion-grid>
                <ion-row>
                  <ion-col size="9">
                      <div [innerHTML]="decode(chamado.content)"></div>
                  </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col size="12">
                      <h6 text-right style="font-size: 12px;">{{ chamado.date_mod | date:'dd/MM/yyyy hh:mm' }}</h6>
                    </ion-col>
                </ion-row>
              </ion-grid>
          </ion-card-content>
        </ion-card>
    </ion-list>
  </ion-content>
  

